require 'test_helper'

module MoPage
  class PagesControllerTest < ActionController::TestCase
    setup do
      @page = pages(:one)
    end

    test "should get index" do
      get :index
      assert_response :success
      assert_not_nil assigns(:pages)
    end

    test "should get new" do
      get :new
      assert_response :success
    end

    test "should create page" do
      assert_difference('Page.count') do
        post :create, page: { author_id: @page.author_id, body: @page.body, node_id: @page.node_id, parent_id: @page.parent_id, title: @page.title }
      end

      assert_redirected_to page_path(assigns(:page))
    end

    test "should show page" do
      get :show, id: @page
      assert_response :success
    end

    test "should get edit" do
      get :edit, id: @page
      assert_response :success
    end

    test "should update page" do
      patch :update, id: @page, page: { author_id: @page.author_id, body: @page.body, node_id: @page.node_id, parent_id: @page.parent_id, title: @page.title }
      assert_redirected_to page_path(assigns(:page))
    end

    test "should destroy page" do
      assert_difference('Page.count', -1) do
        delete :destroy, id: @page
      end

      assert_redirected_to pages_path
    end
  end
end
